LFR-FSW - Support #979

Mise a jour SRS et SVS et UM
15/03/2017 12:31 PM - Veronique bouzid

Status: Closed Start date: 15/03/2017
Priority: Normal Due date:

Assignee: bruno katra % Done: 90%
Category: R3++ Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0

Description

Mettre a jour les documents pour expliquer comment les verifications sont effectuées sur certains parametres de la
TC_LFR_LOAD_FILTER_PAR dont voici la liste:

SY_LFR_PAS_FILTER_MODULUS

SY_LFR_PAS_FILTER_TBAD

SY_LFR_PAS_FILTER_OFFSET

SY_LFR_PAS_FILTER_SHIFT

Sur une TC_LFR_LOAD_FILTER_PAR, les tests effectués lors de | acceptage stage sont en autres
1- Tester individuellement les parametres

SY_LFR_PAS_FILTER_MODULUS = [4,8]

SY_LFR_PAS_FILTER_TBAD =[0.0,4.0]

SY_LFR_PAS_FILTER_OFFSET=[0,7]

SY_LFR_PAS_FILTER_SHIFT=[0.0, 1.0]

Fait Dans SRS 2.1 +SUM 1.4
2- Vérifier la cohérence entre ses parametres

Modif suite a discussion avec Thomas et entretien téléphonique avec Paul le 20/03/2017 : le modulus étant déterministe depuis le
1/1/2000, la formule précédente ne permettait pas de couvrir une perturbation a cheval sur 2 modulus (TC inconsistent). La nouvelle
formule validée par Thomas et Paul :

OFFSET + SHIFT < MODULUS

Si cette regle n est pas vérifiée, une TM_LFR_TC_EXE_INCONSISTENT sera générée en indiquant que le paramétre erroné est
SY_LFR_PAS_FILTER_MODULUS , en renseignant la position = 12 et la valeur contenue = 4 ( qui est une valeur dans le domaine
de définition)

PA_RPW_BYTE_POSITION=12, PA_RPW_RCV_VALUE=4

> Fait Dans SRS 2.1+4SUM 1.4

Ici un exemple

On envoie une TC-LOAD_FILTER_PAR avec des parametres individuellement corrects
SY_LFR_PAS_FILTER_MODULUS=4

SY_LFR_PAS_FILTER_TBAD=3.1

SY_LFR_PAS_FILTER_OFFSET=0

SY_LFR_PAS_FILTER_SHIFT=1.0

1:27:26.435944, TC_LFR_LOAD_FILTER_PAR, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TC_PACKET = 1,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0x1ccc), SEGMENTATION_GROUPING_FLAG:
STANDALONE_PACKET = 3, SEQUENCE_CNT=0, (PACKET_SEQUENCE_CONTROL=0xc000), PACKET LENGTH=85,
CCSDS_SECONDARY_HEADER_FLAG=0, PUS_VERSION = 1, ACK_EXECUTION_COMPLETION=1,
ACK_EXECUTION_PROGRESS=0, ACK_EXECUTION_START=0, ACK_ACCEPTANCE=1, SERVICE_TYPE:
EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: LOAD_FILTER_PAR = 97, SOURCE_ID: MISSION_TIMELINE = 110,
SPARE=0x0, DOE_SPARE=0x0, SY_LFR_PAS_FILTER_ENABLED_D: ENABLED = 1, SY_LFR_PAS_FILTER_MODULUS=4,
SY_LFR_PAS_FILTER_TBAD=1078355558, SY LFR_PAS_FILTER_OFFSET=0, SY_LFR_PAS_FILTER_SHIFT=1065353216,
SY_LFR_PAS_FILTER_DELTA_F=1027101164, SY_LFR_RW1_K1=0x3f800000,

11:27:26.445925, TM_LFR_TC_EXE_INCONSISTENT, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET =0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID 2 = 76, PACKET CATEGORY: ACKNOWLEDGE
=1, (PACKET_ID=0xcc1), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=8,
(PACKET_SEQUENCE_CONTROL=0xc008), PACKET LENGTH=19, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0,
SERVICE_TYPE: TELECOMMAND_VERIFICATION = 1, SERVICE_SUBTYPE: TC_EXECUTION_COMPLETION_FAILURE = 8,
DESTINATION_ID: MISSION_TIMELINE = 110, TIME=0x8000001727ef, PA_RPW_TELECOMMAND_PKT_ID=0x1ccc,
PA_RPW_PKT_SEQ_CONTROL=0xc000, PA_RPW_TC_FAILURE_CODE: WRONG_APP_DATA = 5,
PA_RPW_TC_SERVICE=181, PA_RPW_TC_SUBTYPE=97, PA_RPW_BYTE_POSITION=12, PA_RPW_RCV_VALUE=4

==> N'est plus vrai depuis la modif de Paul sur la cohérence des parametres.

Les parametres sont testés méme si champ SY_LFR_PAS_FILTER_ENABLED_D = DISABLE.
> Fait Dans SRS 2.1+SUM 1.4

Ajouter un paragraphe sur le merge des fbins masks + rw masks
> Fait Dans SRS 2.1+SUM 1.4

Aouter un paragraphe su rla caractérisation du filtre IIR pour tiche AVGV moyennage HK (déphasage + perte 12%
amplitude)

History

#1 - 15/03/2017 12:32 PM - Veronique bouzid

- Description updated

#2 - 15/03/2017 12:32 PM - Veronique bouzid

- Description updated

#3 - 20/03/2017 10:21 AM - bruno katra
- File Ifr_pas_filter.pdf added

- Status changed from New to In Progress

Entretien téléphonique avec Paul + échanges de mails :
- les parametres sont appliqués immédiatement.
- le modulus est calculé sur le corse time DONC 1/1/2000

lls regardent le modulus d'avant et d'aprés pour gérer les cas limités (voir PDF qu'il a envoyé en PJ)

#4 - 20/03/2017 03:47 PM - bruno katra

- Description updated

#5 - 21/03/2017 12:40 PM - Veronique bouzid

- Description updated

#6 - 22/03/2017 02:58 PM - bruno katra

- Description updated

#7 - 04/04/2017 04:44 PM - bruno katra

- Description updated

#8 - 03/05/2017 12:14 PM - bruno katra

- Description updated

#9 - 09/05/2017 02:59 PM - bruno katra
- % Done changed from 0 to 90

Mis a jour dans SVS1.6 et SRS 2.1

#10 - 10/05/2017 11:28 AM - bruno katra

- Description updated

mis a jour dans SUM 1.4
#11 - 22/06/2018 05:15 PM - bruno katra

- Status changed from In Progress to Closed

Modifs faites dans SRS et SUM pour DP R3++ updated.
Le paragraphe sur le filtre IIR & mettre dans le SDD est tracée : #3038 .
ON CLOTURE
